#include<iostream>
using namespace std;

bool papier(unsigned numer, double &szerokosc, double &wysokosc);

int main()
{
    cout<<"Program wyznacza wielkosci znormalizowanego papieru"<<endl;
    cout<<"Format\tSzerokosc\tWysokosc"<<endl;
    for(unsigned i=0; i<=7; i++)
    {
    double a,b;

	if( papier(i, a, b) )
	cout<<"A"<<i<<"\t"<<a<<" mm\t\t"<<b<<" mm"<<endl;
    }    
}

bool papier(unsigned numer, double &szerokosc, double &wysokosc)
{
    if(numer==0)
    {
	szerokosc=840;
	wysokosc=1188;
	return true;
    }
    else if(numer<=7)
    {
    double szer,wys;
    
	papier(numer-1, szer, wys);
	if(szer>wys) szer/=2; else wys/=2;
	szerokosc=szer;
	wysokosc=wys;
	return true;
    }
    else return false;
}
